I am usin opencv in my android application now play store is giving libpng Vulnerability error

asked 2016-08-10 10:20:53 -0500

I am usin opencv in my android application now play store is giving libpng Vulnerability error. I downloaded latest version of opencv for android but it is still giving error. When opencv android sdk releasing which don't have libpng Vulnerability error issue. Or if there is any solution kindly guide me.

edit retag flag offensive close merge delete

Comments

in case you missed it (or didn't bother searching ;), i think, this is (partly) answered here

berak gravatar imageberak ( 2016-08-10 11:24:01 -0500 )edit

Berak you are right i look at this but i didn't get it. Means i am new to this. Can you please elaborate each step or gave me a link for updated sdk which was built by you??? It would be really appreciable. Waiting for your kind reply.

immi jee gravatar imageimmi jee ( 2016-08-10 13:44:51 -0500 )edit

just to clarify: mshabunin is the maintainer, not me.

also, no android sdk here atm, so i can't test, but my guess is:

for now, you will have to build the latest(3.1) opencv4android sdk locally (this contains fixed version of png libs) , then link you app statically (Not using OpencvManager App), then re-upload your app.

berak gravatar imageberak ( 2016-08-11 00:24:45 -0500 )edit